Runtime

## org.eclipse.gmf.runtime.common.core.service
Class AbstractProviderConfiguration.ObjectDescriptor

    java.lang.Object
      org.eclipse.gmf.runtime.common.core.service.AbstractProviderConfiguration.ObjectDescriptor

Enclosing class:
  AbstractProviderConfiguration

    public static class AbstractProviderConfiguration.ObjectDescriptor

extends java.lang.Object

A descriptor for an XML configuration element that identifies a class by name and optionally its methods.

Constructor Summary
`AbstractProviderConfiguration.ObjectDescriptor(IConfigurationElement configElement)` Creates a new object descriptor from its configuration element.
`AbstractProviderConfiguration.ObjectDescriptor(IConfigurationElement configElement, java.lang.String classNameTag)` Creates a new object descriptor from its configuration element.

Method Summary
`boolean` `sameAs(java.lang.Object object)` Tests if the object descriptor applies to the given context object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractProviderConfiguration.ObjectDescriptor

    public AbstractProviderConfiguration.ObjectDescriptor(IConfigurationElement configElement)

  Creates a new object descriptor from its configuration element.

  Parameters:
    `configElement` - The configuration element.

### AbstractProviderConfiguration.ObjectDescriptor

    public AbstractProviderConfiguration.ObjectDescriptor(IConfigurationElement configElement,
                                                          java.lang.String classNameTag)

  Creates a new object descriptor from its configuration element.

  Parameters:
    `configElement` - The configuration element.
    `classNameTag` - The name of the 'class' XML attribute.

Method Detail

### sameAs

    public boolean sameAs(java.lang.Object object)

  Tests if the object descriptor applies to the given context object.

  Parameters:
    `object` - The context object.
  Returns:
    `true` if it applies; `false` otherwise

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.